
varying vec2 v_texCoord;
varying vec2 v_texCoordB;
varying float v_pos_x;
varying float vary_isDoubleFishEye;
uniform sampler2D SamplerV;

void main() {
    
    if(vary_isDoubleFishEye == 1.0)
    {
        vec4 colA;
        colA = texture2D(SamplerV, v_texCoord);
        
        vec4 colB;
        colB = texture2D(SamplerV, v_texCoordB);
        
        colA.a = 1.0;
        colB.a = 1.0;
        float alpha = 0.5 - (v_pos_x / 0.11);
        if (alpha <= 0.0) {
            alpha = 0.0;
        } else if (alpha >= 1.0) {
            alpha = 1.0;
        }
        gl_FragColor = colB * alpha + colA * (1.0 - alpha);
    }
    else
    {
        gl_FragColor = texture2D(SamplerV,v_texCoord);
    }
    
}
